Bug 306691 - Cannot mount USB Flash Drive
Cannot mount USB Flash Drive
Product: Fedora
Classification: Fedora
Component: ConsoleKit (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-26 06:28 EDT by Steve Dickson
Modified: 2013-03-05 22:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 22:29:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Dickson 2007-09-26 06:28:55 EDT
Description of problem:
When I plug in my 2g USB drive the an error window
pops up and says:

Cannot mount volume.

You are not privileged to mount the volume 'FLASHDRIVE'.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Insert a USB flash drive
Actual results:
An error window

Expected results:
A mounted USB drive

Additional info:
The command 'mount /dev/sdb1 /mnt/flash' (as root) does indeed
mount the drive.

The installed packages are:
Comment 1 Travis Conrad 2007-12-04 17:17:43 EST
This crops up for me upon restarting ConsoleKit service while logged in. 
Logging out and back in allows the disk to be mounted, as a workaround. Could 
it be something in the policy files in /etc/dbus-1/system.d/* ? So far, I've 
tried commenting out all the "<deny..." items in ConsoleKit.conf, but to no 
avail. I'll keep trying various things, and report back.
Comment 2 Steve Dickson 2007-12-04 17:23:55 EST
Note: this problem went away when I upgraded to f8
Comment 3 Nalin Dahyabhai 2007-12-05 10:40:44 EST
Steve, do you start your X session by logging in using a display manager, or
from the console followed by "startx"?
Comment 4 Travis Conrad 2007-12-05 11:03:34 EST
The problem also went away when recompiling hal, hal-libs, and hal-gnome 
without ConsoleKit (removing --enable-console-kit from the configure flags). 

So far, no bad side effects have occurred with our recompiled version, but 
automounting USB keys occurs. Is there any information that would be helpful in 
debugging on F7? 

Unfortunately upgrading to f8 is not an option yet :(

Comment 5 Steve Dickson 2007-12-06 09:04:40 EST
> Steve, do you start your X session by logging in using a display manager, or
> from the console followed by "startx"?
Logging in using the a display manager (GNOME). 
Comment 6 Travis Conrad 2008-04-09 09:42:42 EDT
Never mind my last comment, backporting Fedora 8 packages for ConsoleKit, hal, 
and PolicyKit do not remedy the problem. Does anyone even still care about this?
Comment 7 Steve Dickson 2008-04-09 16:20:25 EDT
since this works in F8, I no longer care... ;-)
Comment 8 Steve Dickson 2008-04-14 06:37:36 EDT
Well for some strange reason, I inserted my USB drive over the
weekend and got some type of non-privilege error.  Has something
broken in f8?


> Steve, do you start your X session by logging in using a display manager, or
> from the console followed by "startx"?
Using a display manager
Comment 9 Bug Zapper 2008-05-14 10:30:54 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2008-06-16 22:29:44 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.